list.listinterface

## Class BaseList

- java.lang.Object
- - list.listinterface.BaseList

- All Implemented Interfaces:
    BaseListInterface, CommonBase
  Direct Known Subclasses:
    SortableDoublyLinkedList

      public abstract class BaseList
      extends java.lang.Object
      implements BaseListInterface

  Společný základ pro implememtaci BaseListInterface.

  Popis: abstraktní třída.

  Užití: nepoužívejte v aplikacích.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `moveCounter` počítadlo elemntárních kroků výpočtu

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseList()` Vyrobí nový seznam.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Element` | `getElement()` Vrátí hodnotu běžného prvku.
    `int` | `getMoveCounter()` Provozní měření.
    `abstract int` | `getSize()` Zjistí kapacitu seznamu.
    `abstract void` | `moveFirst()` Učiní hlavu seznamu běžným prvkem.
    `abstract Element` | `remove()` Odstraní běžný prvek.
    `void` | `resetMoveCounter()` Vynuluje provozní měření.
    `abstract void` | `setElement(Element value)` Nastaví hodnotu běžného prvku do členu datové struktury.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### moveCounter

          protected int moveCounter

      počítadlo elemntárních kroků výpočtu

  - ### Constructor Detail

    - #### BaseList

          public BaseList()

      Vyrobí nový seznam.

  - ### Method Detail

    - #### setElement

          public abstract void setElement(Element value)

      Description copied from interface: `CommonBase`
      Nastaví hodnotu běžného prvku do členu datové struktury.

      Vyžaduje: not isEmpty

      Specified by:
        `setElement` in interface `CommonBase`
      Parameters:
        `value` - prvek, který má být uložen do členu

    - #### getElement

          public abstract Element getElement()

      Description copied from interface: `CommonBase`
      Vrátí hodnotu běžného prvku.

      Vyžaduje: not isEmpty

      Specified by:
        `getElement` in interface `CommonBase`
      Returns:
        hodnota běžného prvku

    - #### getMoveCounter

          public int getMoveCounter()

      Description copied from interface: `CommonBase`
      Provozní měření.
      Specified by:
        `getMoveCounter` in interface `CommonBase`
      Returns:
        počet přesunů běžného prvku

    - #### resetMoveCounter

          public void resetMoveCounter()

      Description copied from interface: `CommonBase`
      Vynuluje provozní měření.
      Specified by:
        `resetMoveCounter` in interface `CommonBase`

    - #### remove

          public abstract Element remove()

      Description copied from interface: `BaseListInterface`
      Odstraní běžný prvek.

      Vyžaduje: not isEmpty

      Splní: not isFull

      Specified by:
        `remove` in interface `BaseListInterface`
      Returns:
        odstraněný běžný prvek

    - #### moveFirst

          public abstract void moveFirst()

      Description copied from interface: `BaseListInterface`
      Učiní hlavu seznamu běžným prvkem.

      Vyžaduje: not isEmpty

      Specified by:
        `moveFirst` in interface `BaseListInterface`

    - #### getSize

          public abstract int getSize()

      Description copied from interface: `BaseListInterface`
      Zjistí kapacitu seznamu. To jest max. možný počet prvků, které smějí být v seznamu.
      Specified by:
        `getSize` in interface `BaseListInterface`
      Returns:
        kapacita seznamu